This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

ListVolumeReplicationZones

1 - 1.2

get /v1/replications/zones

Description

List Volume Replication Zones

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querytype_name
required
Volume Type Name
Example : HDD
stringNone
querysource_zone
required
Zone
Example : kr-west1-a
stringNone
queryreplication_type
required
Replication Type
Example : replication
stringNone

Responses

HTTP CodeDescriptionSchema
200OKReplicationZonesListResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/replications/zones?type_name={type_name}&source_zone={source_zone}&replication_type={replication_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.2"

Example HTTP response

Response 200

{
    "zones": "['kr-west1']"
}